#!/usr/bin/python
# -*- coding: utf-8 -*-
# @version        : 1.0
# @Create Time    : 2025/04/03 10:25
# @File           : project_info.py
# @IDE            : PyCharm
# @desc           : 项目信息

from fastapi import Depends, Query
from core.dependencies import Paging, QueryParams


class ProjectInfoParams(QueryParams):
    def __init__(
            self,
            project_name: str | None = Query(None, title="项目名称"),
            type_code: str | None = Query(None, title="项目类别"),
            dept_id: str | None = Query(None, title="部门id"),
            user_id: str | None = Query(None, title="用户id"),
            params: Paging = Depends()
    ):
        super().__init__(params)
        self.project_name = ("like", project_name)
        self.type_code = type_code
        self.dept_id = dept_id
        self.user_id = user_id


